#!/usr/bin/php
<?php

use Wildix\Certificate\SSLCertificate;
use Wildix\Core\Container;

require_once '/var/www/api/init.php';

$fp = fopen('/tmp/renewal_ssl_certificate.lock', 'w+');

if (!flock($fp, LOCK_EX | LOCK_NB)) {
    echo 'Lock file exists' . PHP_EOL;
    exit(0);
}

try {
    $cliOptions = getopt('fc:i:s');

    $certificate = Container::get(SSLCertificate::class);

    $attemptsCount   = $cliOptions['c'] ?? $certificate::DEFAULT_ATTEMPTS_COUNT;
    $requestInterval = $cliOptions['i'] ?? $certificate::DEFAULT_REQUEST_INTERVAL;

    $certificate->renew(isset($cliOptions['f']), $attemptsCount, $requestInterval, isset($cliOptions['s']));

    $log = Container::get(\Syslog::class . ':SSLCertificateRenewal');
} finally {
    // remove the lock
    flock($fp, LOCK_UN);
    fclose($fp);
}
