#!/usr/bin/php
<?php

require_once '/var/www/init.php';

use Logger\Log;
use Wildix\Core\Container;
use Wildix\Microsoft\Office365Service;

try {
    /** @var Office365Service $officeService */
    $officeService = Container::get(Office365Service::class);
    $officeService->syncCalendars();
} catch (Throwable $exception) {
    /** @var Log $logger */
    $logger = Container::get(Log::class);
    $logger->error(__LINE__, sprintf('Office365 events sync error:%s', $exception->getMessage()));
}

echo 'done';
