#!/usr/bin/php
<?php

require_once '/var/www/init.php';

use Logger\Log;
use Wildix\Core\Container;
use Wildix\Microsoft\Office365Service;

$fullSync = !empty($argv[1]);

try {
    /** @var Office365Service $officeService */
    $officeService = Container::get(Office365Service::class);
    $officeService->syncPhonebooks($fullSync);
} catch (Throwable $exception) {
    /** @var Log $logger */
    $logger = Container::get(Log::class);
    $logger->error(__LINE__, sprintf('[office365phonebooks] Office365 phonebooks sync error:%s', $exception->getMessage()));
}

echo 'done';
